
QGIS Application - Bug report #816

"No Data Value" reported as -9999 or -10000 in error

2007-11-18 03:21 AM - Maciej Sieczka -

Status: Closed

Priority: Low

Assignee: ersts -

Category: Rasters

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 10875

Description

When [[NoData]] is not present in the raster, QGIS reports -9999 or -10000 for [[NoData]], in error. It took me quite a while to find out it's

not about my data only that QGIS is wrong. Please report sth like "No Data Value: not present" instead of throwing an arbitrary, bogus

value.

History

#1 - 2007-12-07 02:33 PM - ersts -

This was partially address in a #806 but the default value when there was not a valid nodatavalue is currently -9999. Since this is not desired a boolean flag

will be added and all operations referring to nodatavalue will be wrapped in an if statement.

#2 - 2007-12-30 06:05 PM - ersts -

- Resolution set to fixed

- Status changed from Open to Closed
